Bug 1142645 - opendkim fail to build with GCC 9
opendkim fail to build with GCC 9
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-24 11:50 UTC by Илья Индиго
Modified: 2019-09-05 18:27 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Илья Индиго 2019-07-24 11:50:02 UTC
opendkim fail to build with GCC 9 in Tumbleweed for X86_64
https://build.opensuse.org/package/live_build_log/server:mail/opendkim/openSUSE_Tumbleweed/x86_64
Comment 1 Илья Индиго 2019-08-27 10:30:57 UTC
If i'm use %define _lto_cflags %nil macro errors appear

[  132s] collect2: error: ld returned 1 exit status
[  132s] make[3]: *** [Makefile:1071: opendkim-atpszone] Error 1
[  133s] opendkim.c: In function 'dkimf_libstatus':
[  133s] opendkim.c:9624:43: warning: ': ' directive output may be truncated writing 2 bytes into a region of size between 1 and 1024 [-Wformat-truncation=]
[  133s]  9624 |    snprintf(replybuf, sizeof replybuf, "%s: %s",
[  133s]       |                                           ^~
[  133s] opendkim.c:9624:40: note: assuming directive output of 18 bytes
[  133s]  9624 |    snprintf(replybuf, sizeof replybuf, "%s: %s",
[  133s]       |                                        ^~~~~~~~
[  133s] In file included from /usr/include/stdio.h:867,
[  133s]                  from opendkim.c:40:
[  133s] /usr/include/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output 3 or more bytes (assuming 1044) into a destination of size 1024
[  133s]    67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
[  133s]       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  133s]    68 |        __bos (__s), __fmt, __va_arg_pack ());
[  133s]       |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  133s] opendkim.c: In function 'mlfi_eoh':
[  133s] opendkim.c:12636:53: warning: '__builtin___snprintf_chk' output may be truncated before the last format character [-Wformat-truncation=]
[  133s] 12636 |    snprintf((char *) identity, sizeof identity, "@%s",
[  133s]       |                                                     ^
[  133s] In file included from /usr/include/stdio.h:867,
[  133s]                  from opendkim.c:40:
[  133s] /usr/include/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 2 and 258 bytes into a destination of size 257
[  133s]    67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
[  133s]       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  133s]    68 |        __bos (__s), __fmt, __va_arg_pack ());
[  133s]       |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  134s] opendkim.c: In function 'dkimf_ar_all_sigs':
[  134s] opendkim.c:10704:25: warning: '%s' directive output may be truncated writing up to 1024 bytes into a region of size between 1009 and 1015 [-Wformat-truncation=]
[  134s] 10704 |             "%s%sdkim=%s%s (%u-bit key%s%s) header.d=%s header.i=%s%s%s",
[  134s]       |                         ^~
[  134s] 10705 |             c == 0 ? "" : ";",
[  134s] 10706 |             DELIMITER, result, comment,
[  134s]       |                                ~~~~~~~
[  134s] In file included from /usr/include/stdio.h:867,
[  134s]                  from opendkim.c:40:
[  134s] /usr/include/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output 43 or more bytes (assuming 2376) into a destination of size 1025
[  134s]    67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
[  134s]       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  134s]    68 |        __bos (__s), __fmt, __va_arg_pack ());
[  134s]       |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  134s] opendkim.c: In function 'mlfi_eom':
[  134s] opendkim.c:14440:20: warning: '%s' directive output may be truncated writing up to 4096 bytes into a region of size 4073 [-Wformat-truncation=]
[  134s] 14440 |               "%s: %s",
[  134s]       |                    ^~
[  134s] In file included from /usr/include/stdio.h:867,
[  134s]                  from opendkim.c:40:
[  134s] /usr/include/bits/stdio2.h:67:10: note: '__builtin___snprintf_chk' output between 25 and 4121 bytes into a destination of size 4097
[  134s]    67 |   return __builtin___snprintf_chk (__s, __n, __USE_FORTIFY_LEVEL - 1,
[  134s]       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  134s]    68 |        __bos (__s), __fmt, __va_arg_pack ());
[  134s]       |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 2 Martin Liška 2019-08-27 10:50:16 UTC
Ok, I've got it. The package uses a erlang static libraries that are missing -ffat-lto-objects. Let me fix that.
Comment 3 Илья Индиго 2019-08-27 10:54:10 UTC
Martin, Thank you! :-)
Comment 4 Martin Liška 2019-08-27 11:07:14 UTC
I've just made a SR:
https://build.opensuse.org/request/show/726468
Comment 5 Ferdinand Thiessen 2019-09-05 18:27:43 UTC
Is fixed with: https://build.opensuse.org/request/show/727982